> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Retrieve the details of a specific product

## Get Product Endpoint (2026-01-01)

Retrieve the details of a specific product using its ID.

<Note>
  Remember to include the `X-API-Version: 2026-01-01` header in your request to use this API version.
</Note>


## OpenAPI

````yaml GET /tax/products/{reference_product_id}
openapi: 3.0.1
info:
  title: Numeral API
  description: API for sales tax calculations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/products/{reference_product_id}:
    get:
      description: Retrieve the details of a specific product
      parameters:
        - name: reference_product_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the product to retrieve
          example: p-20506
      responses:
        '200':
          description: Product details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProductResponse:
      type: object
      properties:
        object:
          type: string
          description: 'The type of object: `tax.product`.'
          example: tax.product
        reference_product_id:
          type: string
          description: The ID of the created product
          example: p-20506
        reference_product_name:
          type: string
          description: The name of the created product
          example: Red Shoes
        product_category:
          type: string
          description: The category of the created product
          example: CLOTHING_GENERAL
        created_at:
          type: number
          description: >-
            Epoch datetime representing the date and time the product was
            created
          example: 1721694425
        updated_at:
          type: number
          description: >-
            Epoch datetime representing the date and time the product was last
            updated
          example: 1721694425
        testmode:
          type: boolean
          description: >-
            `True` if using a production API key. `False` if using a test API
            key.
          example: 'true'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            error_code:
              type: string
            error_message:
              type: string
            error_meta:
              type: object
              properties:
                field:
                  type: string
                expected:
                  type: string
                received:
                  type: string
        request_id:
          type: string
          description: The ID of the request
          example: req_123456789
      example:
        error:
          error_code: missing_field
          error_message: Field is required
          error_meta:
            field: path.to.fieldname
            expected: string
            received: undefined
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````